mod loader;
mod resources;
mod startup;

use bevy::prelude::*;
pub use loader::AssetTypeLoader;
pub use resources::{AssetHandles, AssetNameMapping, FixedAssetNameMapping, SpriteSheetConfig};

use crate::system::flow::{AppScheduleExt, AppState};

pub struct AssetsPlugin;
impl Plugin for AssetsPlugin {
	fn build(&self, app: &mut App) {
		app.init_resource::<AssetHandles>()
			.add_enter_system(AppState::Preload, startup::start_preload_resources)
			.add_enter_system(AppState::Preload, startup::start_load_resources)
			.add_system(startup::check_load_resources.in_set(OnUpdate(AppState::Setup)));
	}
}
