use bevy::asset::LoadState;
use bevy::prelude::*;

use crate::assets::AssetTypeLoader;
use crate::system::flow::AppState;

pub fn start_preload_resources(
	mut _commands: Commands,
	mut next_state: ResMut<NextState<AppState>>,
) {
	// TODO: Add preload commands here
	next_state.set(AppState::Setup);
}

pub fn start_load_resources(mut loader: AssetTypeLoader) {
	loader.load_images(&[("splash.png", "splash")]);
	loader.load_audio(&[("splash_sting.ogg", "splash_sting")]);
}

pub fn check_load_resources(
	mut commands: Commands,
	loader: AssetTypeLoader,
	mut next_state: ResMut<NextState<AppState>>,
) {
	let load_states = loader.get_all_load_state();
	if load_states.iter().all(|state| *state == LoadState::Loaded) {
		log::info!("Assets loaded successfully");
		next_state.set(AppState::Splash);
	}
}
