use bevy::prelude::*;
use game_core::assets::AssetHandles;
use game_core::system::flow::AppState;

fn main() {
	App::new()
		.add_state::<AppState>()
		.add_plugins(game_core::system::resources::InitAppPlugins)
		.add_plugin(game_core::assets::AssetsPlugin)
		.add_plugins(micro_musicbox::CombinedAudioPlugins::<AssetHandles>::new())
		.add_plugins(micro_banimate::BanimatePluginGroup)
		.add_plugin(game_core::splash_screen::SplashScreenPlugin)
		.add_plugin(game_core::system::camera::CameraManagementPlugin)
		.run();
}
