use bevy::prelude::*;

use crate::system::flow::{AppScheduleExt, AppState};

mod components;
mod systems;

pub struct SplashScreenPlugin;
impl Plugin for SplashScreenPlugin {
	fn build(&self, app: &mut App) {
		app.add_enter_system(AppState::Splash, systems::setup_splash_screen)
			.add_system(systems::tick_splash_system.in_set(OnUpdate(AppState::Splash)))
			.add_exit_system(AppState::Splash, systems::remove_splash_entities);
	}
}
