use bevy::prelude::KeyCode;

pub fn keycode_string(code: KeyCode) -> &'static str {
	match code {
		KeyCode::Key1 => "Key1",
		KeyCode::Key2 => "Key2",
		KeyCode::Key3 => "Key3",
		KeyCode::Key4 => "Key4",
		KeyCode::Key5 => "Key5",
		KeyCode::Key6 => "Key6",
		KeyCode::Key7 => "Key7",
		KeyCode::Key8 => "Key8",
		KeyCode::Key9 => "Key9",
		KeyCode::Key0 => "Key0",
		KeyCode::A => "A",
		KeyCode::B => "B",
		KeyCode::C => "C",
		KeyCode::D => "D",
		KeyCode::E => "E",
		KeyCode::F => "F",
		KeyCode::G => "G",
		KeyCode::H => "H",
		KeyCode::I => "I",
		KeyCode::J => "J",
		KeyCode::K => "K",
		KeyCode::L => "L",
		KeyCode::M => "M",
		KeyCode::N => "N",
		KeyCode::O => "O",
		KeyCode::P => "P",
		KeyCode::Q => "Q",
		KeyCode::R => "R",
		KeyCode::S => "S",
		KeyCode::T => "T",
		KeyCode::U => "U",
		KeyCode::V => "V",
		KeyCode::W => "W",
		KeyCode::X => "X",
		KeyCode::Y => "Y",
		KeyCode::Z => "Z",
		KeyCode::Escape => "Escape",
		KeyCode::F1 => "F1",
		KeyCode::F2 => "F2",
		KeyCode::F3 => "F3",
		KeyCode::F4 => "F4",
		KeyCode::F5 => "F5",
		KeyCode::F6 => "F6",
		KeyCode::F7 => "F7",
		KeyCode::F8 => "F8",
		KeyCode::F9 => "F9",
		KeyCode::F10 => "F10",
		KeyCode::F11 => "F11",
		KeyCode::F12 => "F12",
		KeyCode::F13 => "F13",
		KeyCode::F14 => "F14",
		KeyCode::F15 => "F15",
		KeyCode::F16 => "F16",
		KeyCode::F17 => "F17",
		KeyCode::F18 => "F18",
		KeyCode::F19 => "F19",
		KeyCode::F20 => "F20",
		KeyCode::F21 => "F21",
		KeyCode::F22 => "F22",
		KeyCode::F23 => "F23",
		KeyCode::F24 => "F24",
		KeyCode::Snapshot => "Snapshot",
		KeyCode::Scroll => "Scroll",
		KeyCode::Pause => "Pause",
		KeyCode::Insert => "Insert",
		KeyCode::Home => "Home",
		KeyCode::Delete => "Delete",
		KeyCode::End => "End",
		KeyCode::PageDown => "PageDown",
		KeyCode::PageUp => "PageUp",
		KeyCode::Left => "Left",
		KeyCode::Up => "Up",
		KeyCode::Right => "Right",
		KeyCode::Down => "Down",
		KeyCode::Back => "Back",
		KeyCode::Return => "Return",
		KeyCode::Space => "Space",
		KeyCode::Compose => "Compose",
		KeyCode::Caret => "Caret",
		KeyCode::Numlock => "Numlock",
		KeyCode::Numpad0 => "Numpad0",
		KeyCode::Numpad1 => "Numpad1",
		KeyCode::Numpad2 => "Numpad2",
		KeyCode::Numpad3 => "Numpad3",
		KeyCode::Numpad4 => "Numpad4",
		KeyCode::Numpad5 => "Numpad5",
		KeyCode::Numpad6 => "Numpad6",
		KeyCode::Numpad7 => "Numpad7",
		KeyCode::Numpad8 => "Numpad8",
		KeyCode::Numpad9 => "Numpad9",
		KeyCode::AbntC1 => "AbntC1",
		KeyCode::AbntC2 => "AbntC2",
		KeyCode::NumpadAdd => "NumpadAdd",
		KeyCode::Apostrophe => "Apostrophe",
		KeyCode::Apps => "Apps",
		KeyCode::Asterisk => "Asterisk",
		KeyCode::Plus => "Plus",
		KeyCode::At => "At",
		KeyCode::Ax => "Ax",
		KeyCode::Backslash => "Backslash",
		KeyCode::Calculator => "Calculator",
		KeyCode::Capital => "Capital",
		KeyCode::Colon => "Colon",
		KeyCode::Comma => "Comma",
		KeyCode::Convert => "Convert",
		KeyCode::NumpadDecimal => "NumpadDecimal",
		KeyCode::NumpadDivide => "NumpadDivide",
		KeyCode::Equals => "Equals",
		KeyCode::Grave => "Grave",
		KeyCode::Kana => "Kana",
		KeyCode::Kanji => "Kanji",
		KeyCode::LAlt => "LAlt",
		KeyCode::LBracket => "LBracket",
		KeyCode::LControl => "LControl",
		KeyCode::LShift => "LShift",
		KeyCode::LWin => "LWin",
		KeyCode::Mail => "Mail",
		KeyCode::MediaSelect => "MediaSelect",
		KeyCode::MediaStop => "MediaStop",
		KeyCode::Minus => "Minus",
		KeyCode::NumpadMultiply => "NumpadMultiply",
		KeyCode::Mute => "Mute",
		KeyCode::MyComputer => "MyComputer",
		KeyCode::NavigateForward => "NavigateForward",
		KeyCode::NavigateBackward => "NavigateBackward",
		KeyCode::NextTrack => "NextTrack",
		KeyCode::NoConvert => "NoConvert",
		KeyCode::NumpadComma => "NumpadComma",
		KeyCode::NumpadEnter => "NumpadEnter",
		KeyCode::NumpadEquals => "NumpadEquals",
		KeyCode::Oem102 => "Oem102",
		KeyCode::Period => "Period",
		KeyCode::PlayPause => "PlayPause",
		KeyCode::Power => "Power",
		KeyCode::PrevTrack => "PrevTrack",
		KeyCode::RAlt => "RAlt",
		KeyCode::RBracket => "RBracket",
		KeyCode::RControl => "RControl",
		KeyCode::RShift => "RShift",
		KeyCode::RWin => "RWin",
		KeyCode::Semicolon => "Semicolon",
		KeyCode::Slash => "Slash",
		KeyCode::Sleep => "Sleep",
		KeyCode::Stop => "Stop",
		KeyCode::NumpadSubtract => "NumpadSubtract",
		KeyCode::Sysrq => "Sysrq",
		KeyCode::Tab => "Tab",
		KeyCode::Underline => "Underline",
		KeyCode::Unlabeled => "Unlabeled",
		KeyCode::VolumeDown => "VolumeDown",
		KeyCode::VolumeUp => "VolumeUp",
		KeyCode::Wake => "Wake",
		KeyCode::WebBack => "WebBack",
		KeyCode::WebFavorites => "WebFavorites",
		KeyCode::WebForward => "WebForward",
		KeyCode::WebHome => "WebHome",
		KeyCode::WebRefresh => "WebRefresh",
		KeyCode::WebSearch => "WebSearch",
		KeyCode::WebStop => "WebStop",
		KeyCode::Yen => "Yen",
		KeyCode::Copy => "Copy",
		KeyCode::Paste => "Paste",
		KeyCode::Cut => "Cut",
	}
}
